<mat-form-field [formGroup]="inputForm" 
	 hintLabel="{{(metadata.minCharacters && metadata.minCharacters !== metadata.maxCharacters && !disabled ? 'COMMON.FORM.MIN_MAX_CHARACTERS' : (metadata.minCharacters && metadata.minCharacters === metadata.maxCharacters && !disabled ? 'COMMON.FORM.EXACT_CHARACTERS' : (!disabled ? 'COMMON.FORM.MAX_CHARACTERS' : ''))) | translate : {'min': metadata.minCharacters, 'max': metadata.maxCharacters} }}"
	 [ngStyle]="{'width': '100%'}">
	<mat-label>{{metadata.label | translate}} <span *ngIf="required" class="requiredAsterisk">*</span></mat-label>
	<input class="{{disabled ? 'readOnly' : ''}}" #input [(ngModel)]="value" [attr.type]="metadata.isPassword ? 'password' : null" maxlength="{{metadata.maxCharacters}}" matInput [formControlName]="uniqueId" [name]="uniqueId" autocomplete="off" >
	<mat-hint class="hintColor" align="end" *ngIf="metadata.maxCharacters && !disabled">{{input.value?.length || 0}}/{{metadata.maxCharacters}}</mat-hint>
	<mat-error *ngIf="inputForm.controls[uniqueId]?.errors?.required">
		{{'COMMON.FORM.REQUIRED' | translate }}
	</mat-error>
	<mat-error *ngIf="inputForm.controls[uniqueId]?.errors?.customValidator">
		{{ metadata.customValidatorMessage  | translate }}
	</mat-error>
	<mat-error *ngIf="inputForm.controls[uniqueId]?.errors?.pattern">
		{{'COMMON.FORM.INVALID_FORMAT' | translate }}
	</mat-error>
	<mat-error *ngIf="(inputForm.controls[uniqueId]?.errors?.minCharacters || inputForm.controls[uniqueId]?.errors?.maxCharacters) && (!metadata.minCharacters || metadata.minCharacters === metadata.maxCharacters)">
		{{'COMMON.FORM.INVALID_CHARACTERS_NUMBER' | translate : {'max': metadata.maxCharacters} }}
	</mat-error>
	<mat-error *ngIf="(inputForm.controls[uniqueId]?.errors?.minCharacters || inputForm.controls[uniqueId]?.errors?.maxCharacters) && metadata.minCharacters !== metadata.maxCharacters">
		{{'COMMON.FORM.MIN_MAX_INVALID_CHARACTERS_NUMBER' | translate : {'min' : metadata.minCharacters, 'max': metadata.maxCharacters} }}
	</mat-error>	
	<mat-icon *ngIf="metadata.tooltip" class="tooltipIcon" matTooltip="{{metadata.tooltip | translate}}" matSuffix>help</mat-icon>
</mat-form-field>